Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.channels.CChannelManager

All Implemented Interfaces:
  IChannel

    public class CChannelManager

extends BaseChannel

CChannelManager is a Channel used to manage other Channels. This is a replacement for CPublisher.

Version:
  $Revision: 1.75 $
Author:
  Ken Weiner, kweiner@unicon.net

Nested Class Summary
`protected class` | `CChannelManager.ChannelDefinition`
`protected class` | `CChannelManager.CPDWorkflowSection`
`protected class` | `CChannelManager.ModifyChannelSettings` Keeps track of page settings for MODIFY_CHANNEL_STATE
`protected class` | `CChannelManager.Workflow` This Workflow class represents the collection of workflow sections and can produce an XML version of itself for passing to the XSLT stylesheets.
`protected class` | `CChannelManager.WorkflowSection`
`protected class` | `CChannelManager.WorkflowStep`

Field Summary
`protected java.lang.String` | `action`
`protected IServant` | `categoryServant`
`protected static short` | `CHANNEL_CATEGORIES_STATE`
`protected static short` | `CHANNEL_CONTROLS_STATE`
`protected static short` | `CHANNEL_DEF_STATE`
`protected static short` | `CHANNEL_GROUPS_STATE`
`protected static short` | `CHANNEL_REVIEW_STATE`
`protected static short` | `CHANNEL_TYPE_STATE`
`protected CChannelManager.ChannelDefinition` | `channelDef`
`protected org.w3c.dom.Document` | `channelManagerDoc`
`protected static short` | `CUSTOM_SETTINGS_STATE`
`protected static short` | `DEFAULT_STATE`
`protected static org.w3c.dom.Document` | `emptyDoc`
`protected java.lang.String` | `errorMsg`
`protected static short` | `GENERAL_SETTINGS_STATE`
`protected IServant` | `groupServant`
`protected CChannelManager.ModifyChannelSettings` | `modChanSettings`
`protected static short` | `MODIFY_CHANNEL_STATE`
`protected IPerson` | `person`
`protected static java.lang.String` | `sslLocation`
`protected short` | `state`
`protected java.lang.String` | `stepID`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`CChannelManager()`

Method Summary
`protected static void` | `appendModifyChannelSettings(org.w3c.dom.Element channelManager, CChannelManager.ModifyChannelSettings modChanSettings)`
`protected void` | `doAction()` Controller method that reacts to the action parameter.
`protected void` | `doCapture()` Collect the appropriate request parameters for a particular screen in this channel's workflow.
`private java.lang.String` | `fixStepID(java.lang.String stepID)` Make sure that the step ID is always a valid one or else set it to "1"
`protected org.w3c.dom.Element` | `getCategoriesXML()`
`protected IServant` | `getCategoryServant()` Produces a category servant
`protected org.w3c.dom.Document` | `getChannelManagerDoc(CChannelManager.ModifyChannelSettings modChanSettings)` Produces an XML document used as an input to this channel's XSLT transformation.
`protected IServant` | `getGroupServant()` Produces a group servant
`protected org.w3c.dom.Element` | `getGroupsXML()`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`protected void` | `resetSettings()`
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sslLocation

    protected static final java.lang.String sslLocation

See Also:
  Constant Field Values

### emptyDoc

    protected static final org.w3c.dom.Document emptyDoc

### state

    protected short state

### DEFAULT_STATE

    protected static final short DEFAULT_STATE

See Also:
  Constant Field Values

### CHANNEL_TYPE_STATE

    protected static final short CHANNEL_TYPE_STATE

See Also:
  Constant Field Values

### GENERAL_SETTINGS_STATE

    protected static final short GENERAL_SETTINGS_STATE

See Also:
  Constant Field Values

### CUSTOM_SETTINGS_STATE

    protected static final short CUSTOM_SETTINGS_STATE

See Also:
  Constant Field Values

### CHANNEL_DEF_STATE

    protected static final short CHANNEL_DEF_STATE

See Also:
  Constant Field Values

### CHANNEL_CONTROLS_STATE

    protected static final short CHANNEL_CONTROLS_STATE

See Also:
  Constant Field Values

### CHANNEL_CATEGORIES_STATE

    protected static final short CHANNEL_CATEGORIES_STATE

See Also:
  Constant Field Values

### CHANNEL_GROUPS_STATE

    protected static final short CHANNEL_GROUPS_STATE

See Also:
  Constant Field Values

### CHANNEL_REVIEW_STATE

    protected static final short CHANNEL_REVIEW_STATE

See Also:
  Constant Field Values

### MODIFY_CHANNEL_STATE

    protected static final short MODIFY_CHANNEL_STATE

See Also:
  Constant Field Values

### action

    protected java.lang.String action

### stepID

    protected java.lang.String stepID

### channelManagerDoc

    protected org.w3c.dom.Document channelManagerDoc

### channelDef

    protected CChannelManager.ChannelDefinition channelDef

### modChanSettings

    protected CChannelManager.ModifyChannelSettings modChanSettings

### person

    protected IPerson person

### categoryServant

    protected IServant categoryServant

### groupServant

    protected IServant groupServant

### errorMsg

    protected java.lang.String errorMsg

Constructor Detail

### CChannelManager

    public CChannelManager()

Method Detail

### resetSettings

    protected void resetSettings()

### setStaticData

    public void setStaticData(ChannelStaticData sd)
                       throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Overrides:
    `setStaticData` in class `BaseChannel`
  Parameters:
    `sd` - channel static data
  Throws:
    `PortalException`
  See Also:
    `ChannelStaticData`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

### getGroupServant

    protected IServant getGroupServant()

  Produces a group servant

  Returns:
    the group servant

### getCategoryServant

    protected IServant getCategoryServant()

  Produces a category servant

  Returns:
    the category servant

### fixStepID

    private java.lang.String fixStepID(java.lang.String stepID)

  Make sure that the step ID is always a valid one or else set it to "1"

  Parameters:
    `stepID` -
  Returns:
    the fixed step ID

### doCapture

    protected void doCapture()

  Collect the appropriate request parameters for a particular screen in this channel's workflow.

### doAction

    protected void doAction()
                     throws PortalException

  Controller method that reacts to the action parameter.

  Throws:
    `PortalException`

### getChannelManagerDoc

    protected org.w3c.dom.Document getChannelManagerDoc(CChannelManager.ModifyChannelSettings modChanSettings)
                                                 throws PortalException

  Produces an XML document used as an input to this channel's XSLT transformation.

  Parameters:
    `modChanSettings` -
  Returns:
  Throws:
    `PortalException`

### getGroupsXML

    protected org.w3c.dom.Element getGroupsXML()

### getCategoriesXML

    protected org.w3c.dom.Element getCategoriesXML()

### appendModifyChannelSettings

    protected static void appendModifyChannelSettings(org.w3c.dom.Element channelManager,
                                                      CChannelManager.ModifyChannelSettings modChanSettings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD